Loading...
Searching...
No Matches
starpu_tree.h File Reference

Go to the source code of this file.

## Data Structures

struct | starpu_tree

## Functions

void | starpu_tree_reset_visited (struct starpu_tree *tree, char *visited)
void | starpu_tree_prepare_children (unsigned arity, struct starpu_tree *father)
void | starpu_tree_insert (struct starpu_tree *tree, int id, int level, int is_pu, int arity, struct starpu_tree *father)
struct starpu_tree * | starpu_tree_get (struct starpu_tree *tree, int id)
struct starpu_tree * | starpu_tree_get_neighbour (struct starpu_tree *tree, struct starpu_tree *node, char *visited, char *present)
void | starpu_tree_free (struct starpu_tree *tree)